package body MSHTML.IHTMLDocument5_Object is

   procedure Put_onmousewheel
     (This : IHTMLDocument5_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLDocument5_Put_onmousewheel,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onmousewheel;

   function Get_onmousewheel
     (This : IHTMLDocument5_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLDocument5_Get_onmousewheel);
   end Get_onmousewheel;

   function Get_doctype
     (This : IHTMLDocument5_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLDocument5_Get_doctype);
   end Get_doctype;

   function Get_implementation
     (This : IHTMLDocument5_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLDocument5_Get_implementation);
   end Get_implementation;

   function createAttribute
     (This         : IHTMLDocument5_Type;
      bstrAttrName : GNATCOM.Types.VARIANT;
      Free         : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         IHTMLDocument5_createAttribute,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => bstrAttrName),
         Free);
   end createAttribute;

   function createComment
     (This     : IHTMLDocument5_Type;
      bstrData : GNATCOM.Types.VARIANT;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         IHTMLDocument5_createComment,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => bstrData),
         Free);
   end createComment;

   procedure Put_onfocusin
     (This : IHTMLDocument5_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLDocument5_Put_onfocusin,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onfocusin;

   function Get_onfocusin
     (This : IHTMLDocument5_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLDocument5_Get_onfocusin);
   end Get_onfocusin;

   procedure Put_onfocusout
     (This : IHTMLDocument5_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLDocument5_Put_onfocusout,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onfocusout;

   function Get_onfocusout
     (This : IHTMLDocument5_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLDocument5_Get_onfocusout);
   end Get_onfocusout;

   procedure Put_onactivate
     (This : IHTMLDocument5_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLDocument5_Put_onactivate,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onactivate;

   function Get_onactivate
     (This : IHTMLDocument5_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLDocument5_Get_onactivate);
   end Get_onactivate;

   procedure Put_ondeactivate
     (This : IHTMLDocument5_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLDocument5_Put_ondeactivate,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_ondeactivate;

   function Get_ondeactivate
     (This : IHTMLDocument5_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLDocument5_Get_ondeactivate);
   end Get_ondeactivate;

   procedure Put_onbeforeactivate
     (This : IHTMLDocument5_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLDocument5_Put_onbeforeactivate,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onbeforeactivate;

   function Get_onbeforeactivate
     (This : IHTMLDocument5_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLDocument5_Get_onbeforeactivate);
   end Get_onbeforeactivate;

   procedure Put_onbeforedeactivate
     (This : IHTMLDocument5_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLDocument5_Put_onbeforedeactivate,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onbeforedeactivate;

   function Get_onbeforedeactivate
     (This : IHTMLDocument5_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLDocument5_Get_onbeforedeactivate);
   end Get_onbeforedeactivate;

   function Get_compatMode
     (This : IHTMLDocument5_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLDocument5_Get_compatMode);
   end Get_compatMode;

end MSHTML.IHTMLDocument5_Object;

